Create tag
curl --request POST \
--url https://api.uselora.com/v1/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"color": "DEFAULT"
}
'import requests
url = "https://api.uselora.com/v1/tags"
payload = {
"name": "<string>",
"color": "DEFAULT"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', color: 'DEFAULT'})
};
fetch('https://api.uselora.com/v1/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"workspaceId": "<string>",
"creatorId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"code": "<string>",
"fieldErrors": {},
"traceId": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"code": "<string>",
"traceId": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"code": "<string>",
"traceId": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"code": "<string>",
"traceId": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"code": "<string>",
"traceId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"traceId": "<string>"
}Tags
Create tag
Creates a new tag in the specified workspace.
POST
/
v1
/
tags
Create tag
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Payload to create a new tag
The tag name (3..50 chars). The slug is derived from this server-side and updates whenever name changes.
Required string length:
3 - 50Example:
"Marketing"
Tag color
Available options:
DEFAULT, GRAY, BROWN, ORANGE, YELLOW, GREEN, BLUE, PURPLE, PINK, RED Example:
"BLUE"
Response
The created tag.
A tag.
The tag's unique ID.
Pattern:
^[0-9abcdefghjkmnpqrstvwxyz]{8}$Example:
"a1b2c3d4"
Available options:
DEFAULT, GRAY, BROWN, ORANGE, YELLOW, GREEN, BLUE, PURPLE, PINK, RED ID of the workspace the tag belongs to.
ID of the user who created the tag.
ISO 8601 creation timestamp.
ISO 8601 timestamp of the last update.
Was this page helpful?
⌘I